# Complete account lookup

Posts an Account Lookup response to validate a beneficiary's account details before payment.

Endpoint: POST /account_lookups/response
Version: 4.0.0
Security: Bearer

## Request fields (application/json):

  - `account_lookup_id` (string, required)
    UUID that links Account Lookup request and response.

  - `result_code` (string, required)
    Result code of the Account Lookup response. Possible values are
  - RNCB0000 - Pass- Name and Identifier are correct and linked
  - RNCB0001 - Fail- Name and Identifier not found
  - RNCB0002 - Fail- Name and Identifier do not match

  - `result_status` (string, required)
    Result status of Account Lookup response
    Enum: "PASS", "FAIL"

  - `result_description` (string, required)
    Result description of Account Lookup response

  - `redacted_first_name` (string)
    First name of the beneficiary.

  - `redacted_middle_name` (string)
    Middle name of the beneficiary.

  - `redacted_last_name` (string)
    Last name of the beneficiary.

  - `redacted_org_name` (string)
    Name of the organization.

  - `redacted_country_code` (string)
    Country of the beneficiary. Alpha-2 Code format per ISO 3166-1.

  - `redacted_account_id` (string)
    Identifier for the Account, e.g account number.

  - `redacted_account_id_type` (string)
    Account ID type, redacted by the receiver. Possible values are
  - AIIN - (default) Account Issue Identification Number
  - BBAN - Basic Bank Account Number
  - CARD - PAN of the card identifying the account
  - CUID - CHIPS Universal Identifier
  - UPIC - Universal Payment Identification Code
  - EMail - Email Address
  - MSISDN - Mobile Subscriber Integrated Service Digital Network (i.e., phone number)
  - DMST - Domestic
  - Other - Other identifier (e.g., PayID)
    Enum: "AIIN", "BBAN", "CARD", "CUID", "UPIC", "EMAIL", "MSISDN", "DMST", "OTHER"

  - `redacted_clearing_system_code` (string)
    Clearing system code

  - `redacted_branch_code` (string)
    The Branch code (e.g., routing code) that the receiver has on their system.

  - `redacted_account_currency` (string)
    The 3 character currency code for the account as per ISO-4217 standards

## Response 200 fields (application/json):

  - `account_lookup_id` (string, required)
    UUID that links Account lookup request and response.

  - `account_lookup_status` (string, required)
    State of the Account Lookup object. Should be REQUESTED/PROCESSED/FAILED.
    Enum: "REQUESTED", "PROCESSED", "FAILED", "EXPIRED"

  - `first_name` (string)
    First name of the beneficiary.

  - `middle_name` (string)
    Middle name of the beneficiary.

  - `last_name` (string)
    Last name of the beneficiary.

  - `org_name` (string)
    Name of the organization.

  - `country_code` (string)
    Country of the beneficiary. Alpha-2 Code format per ISO 3166-1.

  - `account_currency` (string)
    The 3 character currency code for the account as per ISO-4217 standards

  - `account_id` (string)
    Identifier for the Account, e.g account number.

  - `account_id_type` (string)
    Account ID type. Possible values are
  - AIIN - (default) Account Issue Identification Number
  - BBAN - Basic Bank Account Number
  - CARD - PAN of the card identifying the account
  - CUID - CHIPS Universal Identifier
  - UPIC - Universal Payment Identification Code
  - EMail - Email Address
  - MSISDN - Mobile Subscriber Integrated Service Digital Network (i.e., phone number)
  - DMST - Domestic
  - Other - Other identifier (e.g., PayID)
    Enum: "AIIN", "BBAN", "CARD", "CUID", "UPIC", "EMAIL", "MSISDN", "DMST", "OTHER"

  - `result_code` (string)
    Result code of the Account Lookup response. Possible values are
  - RNCB0000 - Pass- Name and Identifier are correct and linked
  - RNCB0001 - Fail- Name and Identifier not found
  - RNCB0002 - Fail- Name and Identifier do not match

  - `result_status` (string)
    Result status of Account Lookup response.
    Enum: "PASS", "FAIL"

  - `result_description` (string)
    Result description of Account Lookup response.

  - `redacted_first_name` (string)
    First name of the beneficiary redacted by the receiver.

  - `redacted_middle_name` (string)
    Middle name of the beneficiary redacted by the receiver.

  - `redacted_last_name` (string)
    Last name of the beneficiary redacted by the receiver.

  - `redacted_org_name` (string)
    Name of the organization redacted by the receiver.

  - `redacted_country_code` (string)
    Country of the beneficiary redacted by the receiver.

  - `redacted_account_id` (string)
    Identifier for the Account, e.g account number, redacted by the receiver.

  - `redacted_account_id_type` (string)
    Account ID type, redacted by the receiver. Possible values are
  - AIIN - (default) Account Issue Identification Number
  - BBAN - Basic Bank Account Number
  - CARD - PAN of the card identifying the account
  - CUID - CHIPS Universal Identifier
  - UPIC - Universal Payment Identification Code
  - EMail - Email Address
  - MSISDN - Mobile Subscriber Integrated Service Digital Network (i.e., phone number)
  - DMST - Domestic
  - Other - Other identifier (e.g., PayID)
    Enum: "AIIN", "BBAN", "CARD", "CUID", "UPIC", "EMAIL", "MSISDN", "DMST", "OTHER"

  - `redacted_account_currency` (string)
    The 3 character currency code for the account as per ISO-4217 standards

  - `clearing_system_code` (string)
    Clearing system code

  - `branch_code` (string)
    The Branch code (e.g., routing code) that the receiver has on their system.

## Response 400 fields (application/json):

  - `type` (string)
    URL to the error documentation.
    Example: "https://errors.ripplenet.ripple.com/error/json-processing-error"

  - `title` (string)
    Summary of the returned problem.
    Example: "Invalid Request Object"

  - `detail` (string)
    Description of the returned problem.
    Example: "The request parameter [account_id] is not in the correct format."

  - `status` (number)
    HTTP error code.
    Example: 400

  - `ripplenet_error_code` (string)
    RippleNet specific error code.
    Example: "E0104"

  - `finality` (string)
    Specifies if the request can be retried for a successful response.
    Example: "PERMANENT"


